View products that this article applies to.

Summary

This December 13, 2016, Security and Quality Rollup for .NET Framework 3.5, 4.5.2, 4.6, 4.6.1, and 4.6.2 updates for Windows Server 2012 resolves vulnerabilities in the Microsoft .NET Framework. A security vulnerability exists in the .NET Framework which could allow an attacker to access information at rest that should be defended by cryptographic mechanisms. This update fixes the way the framework handles the key, and therefore defends the data while at rest appropriately. To learn more about this vulnerability, see Microsoft Security Bulletin MS16-155. This update also includes cumulative .NET security updates and improvements in reliability in the .NET Framework. For more information about reliability improvements included for this configuration, see Knowledge Base article 3195383.

Additional information about this security update

The following article contains additional information about this security and quality rollup as it relates to individual product versions. The article may contain known issue information.

  • 3205377 MS16-155: Description of the Security and Quality Rollup for the .NET Framework 4.6.2 for Windows Server 2012: December 13, 2016

  • 3210133 MS16-155: Description of the Security and Quality Rollup for the .NET Framework 4.6 and 4.6.1 for Windows Server 2012: December 13, 2016

  • 3210138 MS16-155: Description of the Security and Quality Rollup for the .NET Framework 4.5.2 for Windows Server 2012: December 13, 2016

  • 3210130 MS16-155: Description of the Security and Quality Rollup for the .NET Framework 3.5 for Windows Server 2012: December 13, 2016

Help for installing updates: Support for Microsoft Update

Security solutions for IT professionals: TechNet Security Troubleshooting and Support

Help for protecting your Windows-based computer from viruses and malware: Virus Solution and Security Center

Local support according to your country: International Support


Applies toThis article applies to the following:

  • Microsoft .NET Framework 4.6, 4.6.1, or 4.6.2 when used with:

    • Windows Server 2012

  • Microsoft .NET Framework 4.5.2 when used with:

    • Windows Server 2012

  • Microsoft .NET Framework 3.5 when used with:

    • Windows Server 2012

Need more help?

Expand your skills

EXPLORE TRAINING >

Get new features first

JOIN MICROSOFT INSIDERS >

Was this information helpful?

What affected your experience?

Thank you for your feedback!

×